Блог компании WebPatron

Наверное многие уже слышали, что поисковик Google заявил о том, что сайты, работающие по протоколу https, будут ранжироваться в поисковой выдаче выше, чем сайты, работающие по не безопасному протоколу http.

Для того, чтобы сайт работал по протоколу https необходим ssl сертификат. Вы наверное думаете, что это всё дорого, долго и сложно?

Возможно, но только не у нас! Ведь предлагаем ssl сертификаты по очень низким ценам, их можно без проблем установить на наш хостинг, и чтобы не быть голословными, мы записали этот видеоурок, в котором рассмотрели от начала и до конца процесс заказа, получения и установки ssl сертификата.

RadioCMS - это уникальная система управления радио-станцией через web-браузер. С её помощью любой может создать свою собственную интернет радио-станцию. Всё что нужно - это иметь виртуальный или выделенный сервер и установить необходимое программное обеспечение.

Описание системы доступно на официальном сайте. Однако разработчики рекомендуют использовать операционные системы Ubuntu, Debian или FreeBSD, мы же будем ставить на Centos 6.x.

Сегодня пришлось столкнуться с проблемой установки php модуля libssh2 на сервер с Centos 6.6 и PHP 5.4.37.

Простым путём, вроде команды pecl install ssh2, модуль становиться отказывался, вылетала ошибка "Failed to download pecl/ssh2 within preferred state "stable", latest release is version 0.12, stability "beta", use "channel://pecl.php.net/ssh2-0.12" to install install failed".

Разбираться с этим я не стал, а пошёл другим путём.

PHP версии 5.2, хоть уже вроде и отжил своё, но всё-таки ещё бывает необходим. Ведь существуют ещё старые сайты, которые не будут работать на новых версиях php. К примеру те, которые закодированы Zend-ом под 5.2, да и не только они.

Имеем: север с OS Centos на борту, панелью ISPmanager и установленным стандартным способом php 5.3.x.

Задача: установить на сервер ещё и php 5.2, и реализовать удобное переключение между версиями для каждого сайта.

Основной версией php у нас будет именно 5.3, так как можно будет без всяких проблем обновляться и т.д., а вот дополнительной версией будет 5.2, так как разработка его завершена.

Недавно компанией Sektion Eins была найдена критическая уязвимость, которой подвержены все версии Drupal 7 ветки. Она позволяет выполнить произвольный SQL-запрос в базу данных друпала не имея никаких прав в системе. Таким образом, к примеру, можно не имея абсолютно никаких прав на вашем сайте, сформировать специальный запрос, который создаст нового администратора, или изменит пароль текущего. Опасность определена как наивысшая. 15 октября вышло обновление ядра до версии 7.32, которое устраняет эту уязвимость. Разработчики настоятельно советуют обновить ядро немедленно.

В настоящий момент уже взломано множество сайтов на данной CMS и взломы продолжаются.

Страница 3 из 6
  • Способы
    Оплаты:
  • visa
  • mastercard
  • qiwi
  • webmoney
  • yandex money
  • sberbank
  • mts bank
  • zpayment
  • liqpay
  • alfabank white
  • paxum e1411320249623
Copyright © 2012 - 2018 WebPatron Ltd. All rights reserved.